classification
Title: multiprocessing logging
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: benliles, christian.heimes, eric.araujo, jnoller, terry.reedy
Priority: normal Keywords:

Created on 2009-08-17 20:23 by benliles, last changed 2010-12-26 17:43 by eric.araujo. This issue is now closed.

Messages (7)
msg91670 - (view) Author: Benjamin Liles (benliles) Date: 2009-08-17 20:23
In the backport package of the multiprocessing library. A bug was
introduced in version 2.6.2.1 when the logging module was modified. If
you use logging in the backport, you get the following:

Traceback (most recent call last):
  File
"/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/logging/__init__.py",
line 744, in emit
    msg = self.format(record)
  File
"/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/logging/__init__.py",
line 630, in format
    return fmt.format(record)
  File
"/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/logging/__init__.py",
line 421, in format
    s = self._fmt % record.__dict__
KeyError: 'processName'
msg91686 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-08-18 12:53
Christian is managing the back port.
msg112694 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-03 21:39
May this be closed as out-of-date?
msg112695 - (view) Author: Benjamin Liles (benliles) Date: 2010-08-03 21:44
I don't think it has been fixed yet.
msg112730 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-04 00:30
As far as I know, the only 2.5 issues that will get fixed are security issues, and this is not marked as such. So the question for Christian is whether this is an exception. Or is this even an issue for this tracker?
msg112807 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2010-08-04 13:38
The backport of multiprocessing is currently stale; and there are a few bugs in the tracker assigned to christian or myself in regards to it. If it's not too much trouble, I'd leave this one alone until the exact future of the backport can be resolved.
msg124668 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-26 17:43
This is either out of date (2.5 doesn’t get bugfixes any more) or invalid (concerns a backport of multiprocessing outside of the stdlib).
History
Date User Action Args
2010-12-26 17:43:32eric.araujosetstatus: open -> closed

type: crash -> behavior

nosy: + eric.araujo
messages: + msg124668
resolution: rejected
stage: resolved
2010-08-04 13:38:46jnollersetmessages: + msg112807
2010-08-04 00:30:30terry.reedysetmessages: + msg112730
2010-08-03 21:44:02benlilessetstatus: pending -> open

messages: + msg112695
2010-08-03 21:39:54terry.reedysetstatus: open -> pending
nosy: + terry.reedy
messages: + msg112694

2009-08-18 12:53:46jnollersetassignee: jnoller -> christian.heimes

messages: + msg91686
nosy: + christian.heimes
2009-08-18 05:25:05vinay.sajipsetassignee: jnoller

nosy: + jnoller
2009-08-17 20:23:20benlilescreate